NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.XformCollection Class Reference

Represents a collection of NXOpen.Xform objects. More...

Inheritance diagram for NXOpen.XformCollection:

Public Member Functions

NXOpen.Xform[] ToArray ()
 Returns an array of NXOpen.Xform objects. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point3d origin, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates a Xform without parameters. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point3d origin, NXOpen.Matrix3x3 orientation, NXOpen.SmartObject.UpdateOption update, double scale)
 Creates an Xform More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform that is based off the model space coordinate system. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point point1, NXOpen.Point point2, NXOpen.Point point3, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Create an Xform based on three points. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.DisplayableObject plane1, NXOpen.DisplayableObject plane2, NXOpen.DisplayableObject plane3, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform by three planes. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.CoordinateSystem csys, NXOpen.Point point0, NXOpen.Point point1, NXOpen.Scalar rotationScalarX, NXOpen.Scalar rotationScalarY, NXOpen.Scalar rotationScalarZ, int rotationOption, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates a Xform by picking up a point from an existing coordinate system More...
 
unsafe NXOpen.Xform CreateXformWithView (NXOpen.View view, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Xform with an existing view More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.CoordinateSystem csys, NXOpen.Offset point0, NXOpen.Offset point1, NXOpen.Scalar rotationScalarX, NXOpen.Scalar rotationScalarY, NXOpen.Scalar rotationScalarZ, int rotationOption, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates a Xform by offsetting an existing coordinate system through a translation and a rotation More...
 
unsafe NXOpen.Xform CreateXformByDynamicOffset (NXOpen.CoordinateSystem csys, NXOpen.Vector3d originOffset, NXOpen.Matrix3x3 trasformMatrix, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform whose location and orientation are determined by applying a specified origin offset and transformation matrix to an existing coordinate system. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point origin, NXOpen.Direction xDirection, NXOpen.Direction yDirection, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform based on a point and two vectors. More...
 
unsafe NXOpen.Xform CreateXformByPointXDirZDir (NXOpen.Point origin, NXOpen.Direction xDirection, NXOpen.Direction zDirection, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform based on a point and two vectors. More...
 
unsafe NXOpen.Xform CreateXformByPointYDirZDir (NXOpen.Point origin, NXOpen.Direction yDirection, NXOpen.Direction zDirection, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform based on a point and two vectors. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Direction xDirection, NXOpen.Direction yDirection, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an Xform based on two vectors. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.DisplayableObject plane, NXOpen.Direction axis, NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates a Xform based on a plane and a vector. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point xPoint, NXOpen.Axis zAxis, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform using a Z axis and X point The X-Axis is the vector from the Z-Axis vector to the point; the Y-Axis is computed from the X and Z axis; the origin is the intersection of the three vectors. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point point, NXOpen.Point helperPoint, NXOpen.ICurve curve, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform through a point and perpendicular to a curve or edge. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Assemblies.Component workOcc, NXOpen.Assemblies.Component contextObject, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform in the context of the given NXOpen.Assemblies.Component . More...
 
unsafe NXOpen.Xform CreateXformFromCurrentView (NXOpen.SmartObject.UpdateOption updateOption, double scale)
 Creates an XForm using the current viewing coordinate system. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.NXObject @object, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform from the Xform of a selected curve, plane, or drafting object. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.NXObject @object, NXOpen.Assemblies.Explosion explosion, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform based on an object and an explosion. More...
 
unsafe NXOpen.Xform CreateExtractXform (NXOpen.NXObject @object, NXOpen.SmartObject.UpdateOption updateOption, bool forceXformCreation, out NXOpen.NXObject proto)
 Creates an extract Xform based on an object. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Assemblies.Explosion explosion, NXOpen.Assemblies.Component sourceComponent, NXOpen.Assemblies.Component destComponent, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform based on the delta difference between the source and destination components in the explosion. More...
 
unsafe NXOpen.Xform CreateXform (NXOpen.Point origin, NXOpen.XYZAxis axis, NXOpen.Direction direction, NXOpen.Scalar scale, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform based on origin and a direction. More...
 
unsafe NXOpen.Xform CreateXformWithReverseNormal (NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an Xform based on the delta difference between the source and destination components in the explosion. More...
 
unsafe NXOpen.Xform CreateXformDistanceDirection (NXOpen.Direction direction, NXOpen.Expression distance, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the direction and distance. More...
 
unsafe NXOpen.Xform CreateXformDistanceBetweenPoints (NXOpen.Point origin, NXOpen.Point measure, NXOpen.Direction vector, NXOpen.Expression distance, NXOpen.Expression originDistance, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the direction and points. More...
 
unsafe NXOpen.Xform CreateXformDistanceRadial (NXOpen.Axis axis, NXOpen.Point point, NXOpen.Expression distance, NXOpen.Expression originDistance, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the axis and points. More...
 
unsafe NXOpen.Xform CreateXformAngleAxis (NXOpen.Axis axis, NXOpen.Expression angle, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the axis and angle. More...
 
unsafe NXOpen.Xform CreateXformTwoPoints (NXOpen.Point from, NXOpen.Point to, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on two points. More...
 
unsafe NXOpen.Xform CreateXformRotateThreePoints (NXOpen.Axis vector, NXOpen.Point start, NXOpen.Point end, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the three points and vector. More...
 
unsafe NXOpen.Xform CreateXformAxisVector (NXOpen.Axis axis, NXOpen.Direction vector, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on a axis and vector. More...
 
unsafe NXOpen.Xform CreateXformCsysToCsys (NXOpen.CoordinateSystem from, NXOpen.CoordinateSystem to, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on two csys. More...
 
unsafe NXOpen.Xform CreateXformDistanceAngle (NXOpen.Expression distance, NXOpen.Expression angle, NXOpen.Axis dirr, NXOpen.Direction angulardirr, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the distance and angle on object. More...
 
unsafe NXOpen.Xform CreateXformDynamic (NXOpen.Scalar[] org, NXOpen.Scalar[] mtx, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on the manip. More...
 
unsafe NXOpen.Xform CreateXformDeltaXyz (NXOpen.Scalar[] delta, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Motion Xform based on delta x, y, and z values where the x, y, and z directions are relative to a reference coordinate system. More...
 
unsafe NXOpen.Xform CreateXformByPlaneXDirPoint (NXOpen.DisplayableObject plane, NXOpen.Direction xDirection, NXOpen.Point point, NXOpen.SmartObject.UpdateOption updateOption, double scale, bool flipXDirection, bool flipZDirection)
 Creates an Xform based on a planar face or datum plane, an X-axis vector direction, and a point. More...
 
unsafe NXOpen.Xform CreateXformByPlaneYDirPoint (NXOpen.DisplayableObject plane, NXOpen.Direction yDirection, NXOpen.Point point, NXOpen.SmartObject.UpdateOption updateOption, double scale, bool flipYDirection, bool flipZDirection)
 Creates an Xform based on a planar face or datum plane, a Y-axis vector direction, and a point. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Xform objects.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Xform is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.Xform NXOpen.XformCollection.CreateExtractXform ( NXOpen.NXObject object,
NXOpen.SmartObject.UpdateOption  updateOption,
bool  forceXformCreation,
out NXOpen.NXObject  proto 
)

Creates an extract Xform based on an object.

Created in NX5.0.0

License requirements: None.

Parameters
objectNX object
updateOptionUpdate option of smart object
forceXformCreationForce the interpart xform to be created
protoPrototype of the object being extracted
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point3d  origin,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates a Xform without parameters.

Created in NX3.0.0

License requirements: None.

Parameters
originOrigin point
xDirectionX direction
yDirectionY direction
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point3d  origin,
NXOpen.Matrix3x3  orientation,
NXOpen.SmartObject.UpdateOption  update,
double  scale 
)

Creates an Xform

Created in NX5.0.1

License requirements: None.

Parameters
originOrigin point
orientationOrientation
updateThe update option
scaleScale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform that is based off the model space coordinate system.

The X and Y Axes are the X and Y Axes of the absolute transform. The origin is the origin of the absolute transform.

Created in NX3.0.0

License requirements: None.

Parameters
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point  point1,
NXOpen.Point  point2,
NXOpen.Point  point3,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Create an Xform based on three points.

The origin is the first point, the X-Axis is the vector from the first to the second point, and the Y-Axis is the vector from the first to the third point.

Created in NX3.0.0

License requirements: None.

Parameters
point1
point2
point3
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.DisplayableObject  plane1,
NXOpen.DisplayableObject  plane2,
NXOpen.DisplayableObject  plane3,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform by three planes.

Defines an xform based on the input of three planes. These can be either planar faces, datum planes or plane objects. The X-Axis is normal of the first plane, the Y-Axis is normal of the second plane, the origin is the intersection of the three plane. The plane can either be a planar NXOpen.Face , a NXOpen.DatumPlane or a a NXOpen.Plane . If the xform is to be used to create a CSYS, then the planes should be NXOpen.Plane objects.

Created in NX3.0.0

License requirements: None.

Parameters
plane1
plane2
plane3
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.CoordinateSystem  csys,
NXOpen.Point  point0,
NXOpen.Point  point1,
NXOpen.Scalar  rotationScalarX,
NXOpen.Scalar  rotationScalarY,
NXOpen.Scalar  rotationScalarZ,
int  rotationOption,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates a Xform by picking up a point from an existing coordinate system

Created in NX4.0.0

License requirements: None.

Parameters
csysExisting coordinate system
point0Start point
point1End point
rotationScalarXScalar of X rotation
rotationScalarYScalar of Y rotation
rotationScalarZScalar of Z rotation
rotationOptionDetermine the sequence of applying rotation and translation. If the value is 0, then a translation is first applied. Otherwise, a roation is first applied.
updateOptionUpdate option of smart object
scaleXform scalar
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.CoordinateSystem  csys,
NXOpen.Offset  point0,
NXOpen.Offset  point1,
NXOpen.Scalar  rotationScalarX,
NXOpen.Scalar  rotationScalarY,
NXOpen.Scalar  rotationScalarZ,
int  rotationOption,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates a Xform by offsetting an existing coordinate system through a translation and a rotation

Created in NX4.0.0

License requirements: None.

Parameters
csysExisting coordinate system
point0Start point
point1End point
rotationScalarXScalar of X rotation
rotationScalarYScalar of Y rotation
rotationScalarZScalar of Z rotation
rotationOptionDetermine the sequence of applying rotation and translation. If the value is 0, then a translation is first applied. Otherwise, a roation is first applied.
updateOptionUpdate option of smart object
scaleXform scalar
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point  origin,
NXOpen.Direction  xDirection,
NXOpen.Direction  yDirection,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform based on a point and two vectors.

The X and Y Axes are the vectors.

Created in NX3.0.0

License requirements: None.

Parameters
origin
xDirection
yDirection
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Direction  xDirection,
NXOpen.Direction  yDirection,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform based on two vectors.

The X and Y Axes are vectors, with the origin being the vector intersection point.

Created in NX3.0.0

License requirements: None.

Parameters
xDirection
yDirection
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.DisplayableObject  plane,
NXOpen.Direction  axis,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates a Xform based on a plane and a vector.

The X-Axis is the plane normal direction, the Y-Axis is the direction of the projection of the vector onto the plane, and the origin is the intersection of the plane and the vector. The plane can either be a planar NXOpen.Face or a NXOpen.DatumPlane .

Created in NX3.0.0

License requirements: None.

Parameters
plane
axis
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point  xPoint,
NXOpen.Axis  zAxis,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform using a Z axis and X point The X-Axis is the vector from the Z-Axis vector to the point; the Y-Axis is computed from the X and Z axis; the origin is the intersection of the three vectors.

Created in NX5.0.0

License requirements: None.

Parameters
xPoint
zAxis
updateOption
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point  point,
NXOpen.Point  helperPoint,
NXOpen.ICurve  curve,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform through a point and perpendicular to a curve or edge.

The Z-axis is tangent to the curve or edge, and the X-Y plane goes through the point. When you select a linear curve, the X-Axis is a perpendicular vector from the curve to the point. When you select a non-linear curve, the X-Axis points in an arbitrary orientation and not towards the selected point.

Created in NX5.0.0

License requirements: None.

Parameters
pointThe X-Y plane will go through this point
helperPoint
curveThe Z-axis will be tangent to the curve
updateOption
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Assemblies.Component  workOcc,
NXOpen.Assemblies.Component  contextObject,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform in the context of the given NXOpen.Assemblies.Component .

Created in NX5.0.0

License requirements: None.

Parameters
workOcc
contextObject
updateOption
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.NXObject object,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform from the Xform of a selected curve, plane, or drafting object.

If the selected curve is non-planar an error will be thrown. If the curve is an arc, ellipse, hyperbola, parabola, or circle, the origin will be at the respective curve's center. If the object is a planar face or a datum plane, the Z-axis is the normal vector of the plane.

Created in NX5.0.0

License requirements: None.

Parameters
objectObject from which XForm creates
updateOptionUpdate option of smart object
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.NXObject object,
NXOpen.Assemblies.Explosion  explosion,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform based on an object and an explosion.

Created in NX4.0.0

License requirements: None.

Parameters
objectNX object
explosionExplosion
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Assemblies.Explosion  explosion,
NXOpen.Assemblies.Component  sourceComponent,
NXOpen.Assemblies.Component  destComponent,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform based on the delta difference between the source and destination components in the explosion.

Created in NX4.0.0

License requirements: None.

Parameters
explosionExplosion
sourceComponentSource component
destComponentDestination component
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXform ( NXOpen.Point  origin,
NXOpen.XYZAxis  axis,
NXOpen.Direction  direction,
NXOpen.Scalar  scale,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform based on origin and a direction.

The direction passed is taken as the X, Y or Z axis based on the NXOpen.XYZAxis passed. The other two directions are evaluated from the cross product to a non-parallel global axis (global X, Y or Z)

Created in NX5.0.0

License requirements: None.

Parameters
originorigin of the Xform
axisspecifies whether the direction passed is X, Y or Z of the Xform
directionspecifies X direction
scalescalar factor
updateOptionupdate option to be used after creating the Xform
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformAngleAxis ( NXOpen.Axis  axis,
NXOpen.Expression  angle,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the axis and angle.

Created in NX6.0.0

License requirements: None.

Parameters
axisangular axis
angleangle
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformAxisVector ( NXOpen.Axis  axis,
NXOpen.Direction  vector,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on a axis and vector.

Created in NX6.0.0

License requirements: None.

Parameters
axisaxis of AxisToVectorParms xfrom
vectorvector of AxisToVectorParms xform
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformByDynamicOffset ( NXOpen.CoordinateSystem  csys,
NXOpen.Vector3d  originOffset,
NXOpen.Matrix3x3  trasformMatrix,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform whose location and orientation are determined by applying a specified origin offset and transformation matrix to an existing coordinate system.

Created in NX6.0.0

License requirements: None.

Parameters
csysExisting coordinate system
originOffsetOffset for coordinate system origin
trasformMatrixTransformation matrix for coordinate system orientation
updateOptionUpdate option of smart object
scaleScale factor
Returns
created Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformByPlaneXDirPoint ( NXOpen.DisplayableObject  plane,
NXOpen.Direction  xDirection,
NXOpen.Point  point,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale,
bool  flipXDirection,
bool  flipZDirection 
)

Creates an Xform based on a planar face or datum plane, an X-axis vector direction, and a point.

Created in NX7.5.0

License requirements: None.

Parameters
planeplanar face or datum plane
xDirectionx vector direction
pointpoint
updateOptionUpdate option of smart object
scaleScale factor
flipXDirectionflag to flip the X direction of CSYS
flipZDirectionflag to flip the Z direction of CSYS
Returns
created Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformByPlaneYDirPoint ( NXOpen.DisplayableObject  plane,
NXOpen.Direction  yDirection,
NXOpen.Point  point,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale,
bool  flipYDirection,
bool  flipZDirection 
)

Creates an Xform based on a planar face or datum plane, a Y-axis vector direction, and a point.

Created in NX11.0.0

License requirements: None.

Parameters
planeplanar face or datum plane
yDirectiony vector direction
pointpoint
updateOptionUpdate option of smart object
scaleScale factor
flipYDirectionflag to flip the Y direction of CSYS
flipZDirectionflag to flip the Z direction of CSYS
Returns
created Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformByPointXDirZDir ( NXOpen.Point  origin,
NXOpen.Direction  xDirection,
NXOpen.Direction  zDirection,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform based on a point and two vectors.

The X and Z Axes are the vectors.

Created in NX6.0.0

License requirements: None.

Parameters
originpoint
xDirectionx vector
zDirectionz vector
updateOptionUpdate option of smart object
scaleScale factor
Returns
created Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformByPointYDirZDir ( NXOpen.Point  origin,
NXOpen.Direction  yDirection,
NXOpen.Direction  zDirection,
NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an Xform based on a point and two vectors.

The Y and Z Axes are the vectors.

Created in NX6.0.0

License requirements: None.

Parameters
originpoint
yDirectiony vector
zDirectionz vector
updateOptionUpdate option of smart object
scaleScale factor
Returns
created Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformCsysToCsys ( NXOpen.CoordinateSystem  from,
NXOpen.CoordinateSystem  to,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on two csys.

Created in NX6.0.0

License requirements: None.

Parameters
from"from csys" of CsysToCsysParms xform
to"to csys" where object is moved for of CsysToCsysParms xform
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformDeltaXyz ( NXOpen.Scalar[]  delta,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on delta x, y, and z values where the x, y, and z directions are relative to a reference coordinate system.

Created in NX7.0.0

License requirements: None.

Parameters
deltadelta xyz values
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformDistanceAngle ( NXOpen.Expression  distance,
NXOpen.Expression  angle,
NXOpen.Axis  dirr,
NXOpen.Direction  angulardirr,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the distance and angle on object.

Created in NX6.0.0

License requirements: None.

Parameters
distancelinear transform
angleangular transform
dirrlinear direction
angulardirrangular direction
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformDistanceBetweenPoints ( NXOpen.Point  origin,
NXOpen.Point  measure,
NXOpen.Direction  vector,
NXOpen.Expression  distance,
NXOpen.Expression  originDistance,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the direction and points.

Created in NX6.0.0

License requirements: None.

Parameters
originorigin point of DistanceBetweenPtsParms xform
measuremeasure point of DistanceBetweenPtsParms xform
vectordirection of DistanceBetweenPtsParms xform
distancedistance of DistanceBetweenPtsParms xform
originDistancedistance between origin point and object to be moved
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformDistanceDirection ( NXOpen.Direction  direction,
NXOpen.Expression  distance,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the direction and distance.

Created in NX6.0.0

License requirements: None.

Parameters
directiondirection of DistanceDirectionParms xform
distancedistance of DistanceDirectionParms xform
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformDistanceRadial ( NXOpen.Axis  axis,
NXOpen.Point  point,
NXOpen.Expression  distance,
NXOpen.Expression  originDistance,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the axis and points.

Created in NX6.0.0

License requirements: None.

Parameters
axisaxis of DistanceRadialParms xform
pointmeasure point of DistanceRadialParms xfrom
distancedistance of DistanceRadialParms xfrom
originDistancedistance between axis point and face
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformDynamic ( NXOpen.Scalar[]  org,
NXOpen.Scalar[]  mtx,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the manip.

Created in NX6.0.0

License requirements: None.

Parameters
orgorigin point of manipulator
mtxmatrix of manipulator
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformFromCurrentView ( NXOpen.SmartObject.UpdateOption  updateOption,
double  scale 
)

Creates an XForm using the current viewing coordinate system.

The X-Axis is parallel to the bottom of the view, the Y-Axis is parallel to the side of the view, and the origin is the origin of the view (the middle of the graphics screen). The coordinate system uses the right-hand rule so the Z-axis points out of the screen. Since the current viewing coordinate system does not exist if the NX session is running in batch mode, the absolute coordinate system will be returned instead.

Created in NX4.0.0

License requirements: None.

Parameters
updateOption
scale
Returns
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformRotateThreePoints ( NXOpen.Axis  vector,
NXOpen.Point  start,
NXOpen.Point  end,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on the three points and vector.

Created in NX6.0.0

License requirements: None.

Parameters
vectoraxis of RotateThreePtsParms xform
startstart point of RotateThreePtsParms xform
endend point of RotateThreePtsParms xform
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformTwoPoints ( NXOpen.Point  from,
NXOpen.Point  to,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Motion Xform based on two points.

Created in NX6.0.0

License requirements: None.

Parameters
fromThe "from point" of TwoPointsParms xform
toThe "to point" of TwoPointsParms xform
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformWithReverseNormal ( NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an Xform based on the delta difference between the source and destination components in the explosion.

Created in NX5.0.0

License requirements: None.

Parameters
xformXForm to be reversed normal
updateOptionUpdate option of smart object
Returns
Xform
unsafe NXOpen.Xform NXOpen.XformCollection.CreateXformWithView ( NXOpen.View  view,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Xform with an existing view

Created in NX6.0.0

License requirements: None.

Parameters
viewExisting view
updateOptionUpdate option of smart object
Returns
Xform
override int NXOpen.XformCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.Xform [] NXOpen.XformCollection.ToArray ( )

Returns an array of NXOpen.Xform objects.

Property Documentation

Tag NXOpen.XformCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.